/***************************************************************************
Name: JSView
Version: 1.1.7
Description: Allows you to view the source code of external js and css files
Author: Ron Beckman
Homepage: http://scorpiondb.com/firefox/extensions/jsview/
Email: scorpiondb@scorpiondb.com

Copyright (C) 2005  Ron Beckman

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to:

Free Software Foundation, Inc.
51 Franklin Street
Fifth Floor
Boston, MA  02110-1301
USA
***************************************************************************/





parent.window.onkeydown = function(ev) {
	if (ev.which==13) {
		var obj = parent.frames[0].document.getElementById('jsobject').value;
		parent.frames[0].window.location.href = 'jsviewObjRef.htm?' + escape(obj);
	}
	if (ev.which==27 || ev.which==13) {
		return false;
	}
}

var jsvObjRef = {

	parentObj: 'top.frames[1]',

	goBack: function() {
		parent.frames[0].window.location.href = 'jsviewObjRef.htm?' + escape(this.parentObj);
	},

	getSt: function(name) {
		var strbdl = document.getElementById("jsview-bundle");
		var msg = strbdl.getString(name);
		return msg;
	},

	resizeDialog: function() {
		var height = (parseInt(screen.height)-200)+"px;";
		var width = (parseInt(screen.width)-200)+"px;";

		var dialog = document.getElementById('jsviewObjects');
		dialog.style.setProperty('height',height,null);
		dialog.style.setProperty('width',width,null);

		//center window
		moveTo((screen.width-parseInt(width))/2,(screen.height-parseInt(height))/2);

		//copy the current webpage
		parent.frames[1].window.location.href = window.arguments[1];

		var obj = window.arguments[0];
		parent.frames[0].window.location.href = 'jsviewObjRef.htm?' + escape(obj);
	},

	jsviewHideFrame: function(arg) {
		var frame = document.getElementById('currentPage');
		if (arg=='yes') {
			frame.removeAttribute('flex');
			frame.setAttribute('style','visibility:hidden; width:0px; height:0px;');
		} else {
			frame.setAttribute('flex','1');
			frame.setAttribute('style','visibility:visible;');
		}
	}
};